# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KLimitedIODevice Class Reference

A readonly device that reads from an underlying device from a given point to another (e.g. More...

`#include <klimitediodevice.h>`

Inheritance diagram for KLimitedIODevice:

[legend]
Collaboration diagram for KLimitedIODevice:

[legend]
List of all members.

## Public Member Functions

| KLimitedIODevice (QIODevice *dev, int start, int length)
virtual bool | open (int m)
virtual void | close ()
virtual void | flush ()
virtual Offset | size () const
virtual Q_LONG | readBlock (char *data, Q_ULONG maxlen)
virtual Q_LONG | writeBlock (const char *, Q_ULONG)
virtual int | putch (int)
virtual int | getch ()
virtual int | ungetch (int c)
virtual Offset | at () const
virtual bool | at (Offset pos)
virtual bool | atEnd () const

## Detailed Description

A readonly device that reads from an underlying device from a given point to another (e.g.

to give access to a single file inside an archive)

Author:
  David Faure <david@mandrakesoft.com>

Since:
  3.1

Definition at line 29 of file klimitediodevice.h.

## Constructor & Destructor Documentation

KLimitedIODevice::KLimitedIODevice | ( | QIODevice * | dev,
|  | int | start,
|  | int | length
| ) | `[inline]`

Parameters:

  dev | the underlying device, opened or not This device itself auto-opens (in readonly mode), no need to open it.

Definition at line 36 of file klimitediodevice.h.

References QIODevice::open().

The documentation for this class was generated from the following file:

- klimitediodevice.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:55 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001